<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui" xmlns:c="http://java.sun.com/jsp/jstl/core">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/pridiatemplate.xhtml">
		<ui:define name="location">
			<ui:include src="/pages/admin/submenu.xhtml" />
		</ui:define>
		<ui:define name="body">
			<p:panel header="#{facesContext.translate('title.impressum')}">
				<p:accordionPanel>
					<c:forEach items="#{adminModel.impressums}" var="i" varStatus="status">
						<p:tab id="#{i.locale}" title="#{i.locale.displayName}" titleStyleClass="accordionpanelheader">
							<p:inputTextarea id="input_#{status.index}" value="#{i.content}" style="width: 100%" rows="20" />
							<p:commandButton id="btn_#{status.index}" action="#{adminController.doUpdateImpressum(i)}" value="#{facesContext.translate('button.approve')}" ajax="false" />
						</p:tab>
					</c:forEach>
				</p:accordionPanel>
			</p:panel>
		</ui:define>
		<ui:define name="help_de">
			TODO StS: Das Impressum wird in jeder unterstützten Sprache dargestellt. Änderungen am Inhalt können durch den Button Übernehmen in der Datenbank gespeichert werden. Das Impressum ist durch jeden Nutzer in der aktuell eingestellten Sprache über die Menuleiste einsehbar. 
		</ui:define>
	</ui:composition>
</h:body>
</html>